### Name: inferG1
### Title: First order dependence graph G(1) inference
### Aliases: inferG1
### Keywords: graphs ts models regression robust

### ** Examples
# load G1DBN Library
library(G1DBN)

data(arth800line)
data<-arth800line
id<-c(60, 141, 260, 333, 365, 424, 441, 512, 521, 578, 789, 799)

# compute score S1 
pmaxG1<-inferG1(data,ls=TRUE,tukey=FALSE,huber=FALSE,predictor=id,target=id)
round(pmaxG1$ls,2)

resG1<-edges(score=pmaxG1$ls,targetNames=id,predNames=id,validMat=NULL,roc=FALSE,
threshold=0.001,nb=NULL,prec=6)
resG1$nameslist

# compute score S2 from S1 
GwithLS<-GfromG1(pmaxG1$ls,data,method='ls',alpha1=0.1,alpha2=0.01,predictor=NULL,
target=NULL)
GwithLS

resG<-edges(score=GwithLS$S2,targetNames=id,predNames=id,validMat=NULL,roc=FALSE,
threshold=0.001,nb=NULL,prec=6)
resG$nameslist



